Index: /trunk/src/bp-core/bp-core-template.php
===================================================================
--- /trunk/src/bp-core/bp-core-template.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-template.php	(revision 10012)
@@ -26,4 +26,8 @@
  * @uses bp_get_user_nav() Renders the navigation for a profile of a currently
  *       viewed user.
+ *
+ * @param string $parent_slug
+ *
+ * @return string
  */
 function bp_get_options_nav( $parent_slug = '' ) {
@@ -111,4 +115,6 @@
  * @since BuddyPress (2.0.0)
  *
+ * @param string $component
+ *
  * @return string
  */
@@ -335,5 +341,5 @@
  * @since BuddyPress (1.1.0)
  *
- * @param int  $time         The UNIX timestamp to be formatted.
+ * @param int|string  $time         The UNIX timestamp to be formatted.
  * @param bool $exclude_time Optional. True to return only the month + day, false
  *                           to return month, day, and time. Default: false.
@@ -702,5 +708,5 @@
  * @see bp_get_button()
  *
- * @param array $args See {@link BP_Button}.
+ * @param array|string $args See {@link BP_Button}.
  */
 function bp_button( $args = '' ) {
@@ -712,5 +718,5 @@
 	 * @see BP_Button for a description of arguments and return value.
 	 *
-	 * @param array $args See {@link BP_Button}.
+	 * @param array|string $args See {@link BP_Button}.
 	 * @return string HTML markup for the button.
 	 */
@@ -1108,5 +1114,5 @@
  * WordPress theme without coping the functions from functions.php.
  *
- * @param string $object
+ * @param string|bool $object
  * @return string The AJAX querystring.
  */
@@ -1178,5 +1184,5 @@
  * Return the name of the current item.
  *
- * @return unknown
+ * @return string|bool
  */
 function bp_current_item() {
@@ -1423,5 +1429,5 @@
 		 * @since BuddyPress (1.5.0)
 		 *
-		 * @param string BP_SEARCH_SLUG The search slug. Default "search".
+		 * @const string BP_SEARCH_SLUG The search slug. Default "search".
 		 */
 		return apply_filters( 'bp_get_search_slug', BP_SEARCH_SLUG );
@@ -1597,5 +1603,5 @@
  *
  * @param string $action_variable The action_variable being tested against.
- * @param int $position Optional. The array key you're testing against. If you
+ * @param int|bool $position Optional. The array key you're testing against. If you
  *        don't provide a $position, the function will return true if the
  *        $action_variable is found *anywhere* in the action variables array.
@@ -1755,4 +1761,6 @@
  * already deprecated functions.
  *
+ * @param string $component_name
+ *
  * @return bool True if root component, else false.
  */
@@ -1793,5 +1801,5 @@
  * @since BuddyPress (1.5.0)
  *
- * @global $current_blog WordPress global for the current blog.
+ * @global int $current_blog WordPress global for the current blog.
  *
  * @param string $component Optional. Name of the component to check for.
@@ -2692,4 +2700,7 @@
  * Not currently used by BuddyPress.
  *
+ * @param string $component Current component to check for.
+ * @param string $callback  Callback to invoke.
+ *
  * @return bool
  */
@@ -2724,14 +2735,17 @@
 /**
  * Customize the body class, according to the currently displayed BP content.
- *
- * Uses the above is_() functions to output a body class for each scenario.
- *
- * @param array $wp_classes The body classes coming from WP.
- * @param array $custom_classes Classes that were passed to get_body_class().
- * @return array $classes The BP-adjusted body classes.
  */
 function bp_the_body_class() {
 	echo bp_get_the_body_class();
 }
+	/**
+	 * Customize the body class, according to the currently displayed BP content.
+	 *
+	 * Uses the above is_() functions to output a body class for each scenario.
+	 *
+	 * @param array $wp_classes The body classes coming from WP.
+	 * @param array|bool $custom_classes Classes that were passed to get_body_class().
+	 * @return array $classes The BP-adjusted body classes.
+	 */
 	function bp_get_the_body_class( $wp_classes = array(), $custom_classes = false ) {
 
Index: /trunk/src/bp-core/bp-core-theme-compatibility.php
===================================================================
--- /trunk/src/bp-core/bp-core-theme-compatibility.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-theme-compatibility.php	(revision 10012)
@@ -39,11 +39,11 @@
  * @param array $properties {
  *     An array of properties describing the theme compat package.
- *     @type string $id ID of the package. Must be unique.
- *     @type string $name Name of the theme. This should match the name given
- *           in style.css.
+ *     @type string $id      ID of the package. Must be unique.
+ *     @type string $name    Name of the theme. This should match the name given
+ *                           in style.css.
  *     @type string $version Theme version. Used for busting script and style
- *           browser caches.
- *     @type string $dir Filesystem path of the theme.
- *     @type string $url Base URL of the theme.
+ *                           browser caches.
+ *     @type string $dir     Filesystem path of the theme.
+ *     @type string $url     Base URL of the theme.
  * }
  */
@@ -61,4 +61,6 @@
 	 *
 	 * @since BuddyPress (1.7.0)
+	 *
+	 * @param array $properties Array of properties for BP_Theme_Compat.
 	 */
     	public function __construct( Array $properties = array() ) {
@@ -110,5 +112,6 @@
 	 *
 	 * @param string $property Property name.
-	 * @param mixed $value Property value.
+	 * @param mixed  $value    Property value.
+	 *
 	 * @return bool True on success, false on failure.
 	 */
@@ -123,6 +126,7 @@
 	 *
 	 * @param string $property Property name.
+	 *
 	 * @return mixed The value of the property if it exists, otherwise an
-	 *         empty string.
+	 *               empty string.
 	 */
 	public function __get( $property ) {
@@ -370,4 +374,5 @@
  *
  * @param bool $set True to set the flag to true, false to set it to false.
+ *
  * @return bool Returns the value of $set.
  */
@@ -387,4 +392,5 @@
  *
  * @param array $templates The template stack.
+ *
  * @return array The template stack (value of $templates).
  */
@@ -404,4 +410,5 @@
  *
  * @param string $template The template currently in use.
+ *
  * @return string The template currently in use (value of $template).
  */
@@ -421,4 +428,5 @@
  *
  * @param string $template The template originally selected by WP.
+ *
  * @return string The template originally selected by WP (value of $template).
  */
@@ -435,6 +443,7 @@
  *
  * @param string $template The template name to check.
+ *
  * @return bool True if the value of $template is the same as the
- *         "original_template" originally selected by WP. Otherwise false.
+ *              "original_template" originally selected by WP. Otherwise false.
  */
 function bp_is_theme_compat_original_template( $template = '' ) {
@@ -458,7 +467,7 @@
  * @see BP_Theme_Compat for a description of the $theme parameter arguments.
  *
- * @param array $theme See {@link BP_Theme_Compat}.
- * @param bool $override If true, overrides whatever package is currently set.
- *        Default: true.
+ * @param array $theme    See {@link BP_Theme_Compat}.
+ * @param bool  $override If true, overrides whatever package is currently set.
+ *                        Default: true.
  */
 function bp_register_theme_package( $theme = array(), $override = true ) {
@@ -497,6 +506,6 @@
  * @global object $post Current post object.
  *
- * @param array $args Array of optional arguments. Arguments parallel the
- *        properties of {@link WP_Post}; see that class for more details.
+ * @param array $args Array of optional arguments. Arguments parallel the properties
+ *                    of {@link WP_Post}; see that class for more details.
  */
 function bp_theme_compat_reset_post( $args = array() ) {
@@ -635,4 +644,5 @@
  *
  * @param string $template Template name.
+ *
  * @return string $template Template name.
  */
@@ -708,4 +718,5 @@
  *
  * @param string $content Original post content.
+ *
  * @return string $content Post content, potentially modified.
  */
@@ -753,5 +764,5 @@
  *
  * @return bool True if the_content is currently in the process of being
- *         filtered and replaced.
+ *              filtered and replaced.
  */
 function bp_do_theme_compat() {
@@ -772,8 +783,9 @@
  * @global array $merged_filters
  *
- * @param string $tag The filter tag to remove filters from.
- * @param int $priority Optional. If present, only those callbacks attached
- *        at a given priority will be removed. Otherwise, all callbacks
- *        attached to the tag will be removed, regardless of priority.
+ * @param string   $tag      The filter tag to remove filters from.
+ * @param int|bool $priority Optional. If present, only those callbacks attached
+ *                           at a given priority will be removed. Otherwise, all callbacks
+ *                           attached to the tag will be removed, regardless of priority.
+ *
  * @return bool True on success.
  */
@@ -827,9 +839,9 @@
  * @global array $merged_filters
  *
- * @param string $tag The tag to which filters should be restored.
- * @param int $priority Optional. If present, only those filters that were
- *        originally attached to the tag with $priority will be restored.
- *        Otherwise, all available filters will be restored, regardless of
- *        priority.
+ * @param string   $tag      The tag to which filters should be restored.
+ * @param int|bool $priority Optional. If present, only those filters that were originally
+ *                           attached to the tag with $priority will be restored. Otherwise,
+ *                           all available filters will be restored, regardless of priority.
+ *
  * @return bool True on success.
  */
@@ -880,6 +892,7 @@
  * @since BuddyPress (1.7.0)
  *
- * @param bool $open True if open, false if closed.
- * @param int $post_id ID of the post to check.
+ * @param bool $open    True if open, false if closed.
+ * @param int  $post_id ID of the post to check.
+ *
  * @return bool True if open, false if closed.
  */
@@ -917,4 +930,6 @@
  *
  * @param string $retval The current post content.
+ *
+ * @return string $retval
  */
 function bp_theme_compat_toggle_is_page( $retval = '' ) {
Index: /trunk/src/bp-core/bp-core-update.php
===================================================================
--- /trunk/src/bp-core/bp-core-update.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-update.php	(revision 10012)
@@ -60,4 +60,6 @@
  *
  * @uses buddypress()
+ *
+ * @param string $basename BuddyPress basename.
  *
  * @return bool True if activating BuddyPress, false if not.
@@ -105,4 +107,6 @@
  *
  * @uses buddypress()
+ *
+ * @param string $basename BuddyPress basename.
  *
  * @return bool True if deactivating BuddyPress, false if not.
@@ -397,6 +401,6 @@
  *
  * - Ensure that the activity tables are installed, for last_activity storage.
- * - Migrate last_activity data from usermeta to activity table
- * - Add values for all BuddyPress options to the options table
+ * - Migrate last_activity data from usermeta to activity table.
+ * - Add values for all BuddyPress options to the options table.
  *
  * @since BuddyPress (2.0.0)
@@ -429,5 +433,5 @@
 
 /**
- * 2.0.1 database upgrade routine
+ * 2.0.1 database upgrade routine.
  *
  * @since BuddyPress (2.0.1)
@@ -445,7 +449,7 @@
  * 2.2.0 update routine.
  *
- * - Add messages meta table
- * - Update the component field of the 'new members' activity type
- * - Clean up hidden friendship activities
+ * - Add messages meta table.
+ * - Update the component field of the 'new members' activity type.
+ * - Clean up hidden friendship activities.
  *
  * @since BuddyPress (2.2.0)
@@ -470,5 +474,5 @@
  * 2.3.0 update routine.
  *
- * - Add notifications meta table
+ * - Add notifications meta table.
  *
  * @since BuddyPress (2.3.0)
@@ -519,9 +523,9 @@
 
 /**
- * Remove all hidden friendship activities
+ * Remove all hidden friendship activities.
  *
  * @since BuddyPress (2.2.0)
  *
- * @uses bp_activity_delete() to delete the corresponding friendship activities
+ * @uses bp_activity_delete() to delete the corresponding friendship activities.
  */
 function bp_cleanup_friendship_activities() {
@@ -568,5 +572,5 @@
  * @global WPDB $wpdb
  *
- * @return bool If signups table exists
+ * @return bool|null If signups table exists.
  */
 function bp_core_maybe_install_signups() {
Index: /trunk/src/bp-core/bp-core-widgets.php
===================================================================
--- /trunk/src/bp-core/bp-core-widgets.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-widgets.php	(revision 10012)
@@ -46,5 +46,5 @@
 	 * @see WP_Widget::widget() for description of parameters.
 	 *
-	 * @param array $args Widget arguments.
+	 * @param array $args     Widget arguments.
 	 * @param array $instance Widget settings, as saved by the user.
 	 */
@@ -148,4 +148,5 @@
 	 * @param array $new_instance The new instance options.
 	 * @param array $old_instance The old instance options.
+	 *
 	 * @return array $instance The parsed options to be saved.
 	 */
@@ -160,5 +161,7 @@
 	 * Output the login widget options form.
 	 *
-	 * @param $instance Settings for this widget.
+	 * @param array $instance Settings for this widget.
+	 *
+	 * @return string
 	 */
 	public function form( $instance = array() ) {
Index: /trunk/src/bp-core/bp-core-wpabstraction.php
===================================================================
--- /trunk/src/bp-core/bp-core-wpabstraction.php	(revision 10011)
+++ /trunk/src/bp-core/bp-core-wpabstraction.php	(revision 10012)
@@ -19,4 +19,5 @@
  *
  * @global string $wp_version
+ *
  * @return string $wp_version
  */
@@ -127,5 +128,5 @@
  * @todo Why is this function defined in this file?
  *
- * @param string $prefix Global table prefix.
+ * @param string|bool $prefix Global table prefix.
  * @return string SQL chunk.
  */
@@ -177,5 +178,5 @@
 	 * @param string $needle String to search for.
 	 * @param int $offset Optional. Start position for the search. Default: 0.
-	 * @param string $enc Optional. Encoding type. Ignored.
+	 * @param string $encoding Optional. Encoding type. Ignored.
 	 * @return int|bool Position of needle in haystack if found, else false.
 	 */
@@ -201,5 +202,5 @@
 	 * @param string $needle String to search for.
 	 * @param int $offset Optional. Start position for the search. Default: 0.
-	 * @param string $enc Optional. Encoding type. Ignored.
+	 * @param string $encoding Optional. Encoding type. Ignored.
 	 * @return int Position of last needle in haystack if found, else false.
 	 */
Index: /trunk/src/bp-core/classes/class-bp-attachment-avatar.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-attachment-avatar.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-attachment-avatar.php	(revision 10012)
@@ -1,5 +1,5 @@
 <?php
 /**
- * Core Avatars attachment class
+ * Core Avatars attachment class.
  *
  * @package BuddyPress
@@ -11,7 +11,7 @@
 
 /**
- * BP Attachment Avatar class
+ * BP Attachment Avatar class.
  *
- * Extends BP Attachment to manage the avatar uploads
+ * Extends BP Attachment to manage the avatar uploads.
  *
  * @since BuddyPress (2.3.0)
@@ -20,5 +20,5 @@
 
 	/**
-	 * Construct Upload parameters
+	 * Construct Upload parameters.
 	 *
 	 * @since BuddyPress (2.3.0)
@@ -46,8 +46,11 @@
 
 	/**
-	 * Gets the available avatar types
-	 *
-	 * @since BuddyPress (2.3.0)
-	 * @return string comma separated list of allowed avatar types
+	 * Gets the available avatar types.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param array $allowed_types Array of allowed avatar types.
+	 *
+	 * @return string comma separated list of allowed avatar types.
 	 */
 	public static function get_avatar_types( $allowed_types = array() ) {
@@ -58,5 +61,5 @@
 
 	/**
-	 * Set Upload Dir data for avatars
+	 * Set Upload Dir data for avatars.
 	 *
 	 * @since BuddyPress (2.3.0)
@@ -78,15 +81,17 @@
 
 	/**
-	 * Avatar specific rules
-	 *
-	 * Adds an error if the avatar size or type don't match BuddyPress needs
-	 * The error code is the index of $upload_error_strings
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @param  array $file the temporary file attributes (before it has been moved)
+	 * Avatar specific rules.
+	 *
+	 * Adds an error if the avatar size or type don't match BuddyPress needs.
+	 * The error code is the index of $upload_error_strings.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
 	 * @uses   bp_core_check_avatar_size()
 	 * @uses   bp_core_check_avatar_type()
-	 * @return array the file with extra errors if needed
+	 *
+	 * @param  array $file the temporary file attributes (before it has been moved).
+	 *
+	 * @return array the file with extra errors if needed.
 	 */
 	public function validate_upload( $file = array() ) {
@@ -110,11 +115,13 @@
 
 	/**
-	 * Maybe shrink the attachment to fit maximum allowed width
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @param string $file the absolute path to the file
+	 * Maybe shrink the attachment to fit maximum allowed width.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
 	 * @uses  bp_core_avatar_original_max_width()
 	 * @uses  wp_get_image_editor()
+	 *
+	 * @param string $file the absolute path to the file.
+	 *
 	 * @return mixed
 	 */
@@ -157,11 +164,13 @@
 
 	/**
-	 * Check if the image dimensions are smaller than full avatar dimensions
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @param string $file the absolute path to the file
+	 * Check if the image dimensions are smaller than full avatar dimensions.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
 	 * @uses  bp_core_avatar_full_width()
 	 * @uses  bp_core_avatar_full_height()
+	 *
+	 * @param string $file the absolute path to the file.
+	 *
 	 * @return boolean
 	 */
@@ -179,10 +188,9 @@
 
 	/**
-	 * Crop the avatar
+	 * Crop the avatar.
 	 *
 	 * @since BuddyPress (2.3.0)
 	 *
 	 * @see  BP_Attachment::crop for the list of parameters
-	 * @param array $args
 	 * @uses bp_core_fetch_avatar()
 	 * @uses bp_core_delete_existing_avatar()
@@ -191,5 +199,8 @@
 	 * @uses bp_core_avatar_dimension()
 	 * @uses BP_Attachment::crop
-	 * @return array the cropped avatars (full and thumb)
+	 *
+	 * @param array $args
+	 *
+	 * @return array The cropped avatars (full and thumb).
 	 */
 	public function crop( $args = array() ) {
@@ -274,9 +285,9 @@
 
 	/**
-	 * Get the user id to set its avatar
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @return integer the user ID
+	 * Get the user id to set its avatar.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @return integer The user ID.
 	 */
 	private function get_user_id() {
@@ -296,9 +307,9 @@
 
 	/**
-	 * Get the group id to set its avatar
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @return integer the group id
+	 * Get the group id to set its avatar.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @return integer The group ID.
 	 */
 	private function get_group_id() {
@@ -313,9 +324,9 @@
 
 	/**
-	 * Build script datas for the Uploader UI
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @return array the javascript localization data
+	 * Build script datas for the Uploader UI.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @return array The javascript localization data.
 	 */
 	public function script_data() {
@@ -375,11 +386,12 @@
 			);
 		} else {
+
 			/**
-			 * Use this filter to include specific BuddyPress params for your object
-			 * e.g. Blavatar
+			 * Use this filter to include specific BuddyPress params for your object.
+			 * e.g. Blavatar.
 			 *
 			 * @since BuddyPress (2.3.0)
 			 *
-			 * @param array the avatar specific BuddyPress parameters
+			 * @param array $value The avatar specific BuddyPress parameters.
 			 */
 			$script_data['bp_params'] = apply_filters( 'bp_attachment_avatar_params', array() );
@@ -398,10 +410,10 @@
 
 		/**
-		 * Use this filter to override/extend the avatar script data
+		 * Use this filter to override/extend the avatar script data.
 		 *
 		 * @since BuddyPress (2.3.0)
 		 *
-		 * @param array  $script_data the avatar script data
-		 * @param string $object      the object the avatar belongs to (eg: user or group)
+		 * @param array  $script_data The avatar script data.
+		 * @param string $object      The object the avatar belongs to (eg: user or group).
 		 */
 		return apply_filters( 'bp_attachment_avatar_script_data', $script_data, $object );
Index: /trunk/src/bp-core/classes/class-bp-attachment.php
===================================================================
--- /trunk/src/bp-core/classes/class-bp-attachment.php	(revision 10011)
+++ /trunk/src/bp-core/classes/class-bp-attachment.php	(revision 10012)
@@ -11,5 +11,5 @@
 
 /**
- * BP Attachment class
+ * BP Attachment class.
  *
  * Extend it to manage your component's uploads.
@@ -22,5 +22,5 @@
 
 	/**
-	 * The file being uploaded
+	 * The file being uploaded.
 	 *
 	 * @var array
@@ -30,5 +30,5 @@
 	/**
 	 * The default args to be merged with the
-	 * ones passed by the child class
+	 * ones passed by the child class.
 	 *
 	 * @var array
@@ -45,18 +45,18 @@
 
 	/**
-	 * Construct Upload parameters
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @param array $args {
+	 * Construct Upload parameters.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param array|string $args {
 	 *     @type int    $original_max_filesize Maximum file size in kilobytes. Defaults to php.ini settings.
 	 *     @type array  $allowed_mime_types    List of allowed file extensions (eg: array( 'jpg', 'gif', 'png' ) ).
-	 *                                         Defaults to WordPress allowed mime types
-	 *     @type string $base_dir              Component's upload base directory. Defaults to WordPress 'uploads'
+	 *                                         Defaults to WordPress allowed mime types.
+	 *     @type string $base_dir              Component's upload base directory. Defaults to WordPress 'uploads'.
 	 *     @type string $action                The upload action used when uploading a file, $_POST['action'] must be set
-	 *                                         and its value must equal $action {@link wp_handle_upload()} (required)
-	 *     @type string $file_input            The name attribute used in the file input. (required)
+	 *                                         and its value must equal $action {@link wp_handle_upload()} (required).
+	 *     @type string $file_input            The name attribute used in the file input. (required).
 	 *     @type array  $upload_error_strings  A list of specific error messages (optional).
-	 *     @type array  $required_wp_files     The list of required WordPress core files. Default: array( 'file' );
+	 *     @type array  $required_wp_files     The list of required WordPress core files. Default: array( 'file' ).
 	 * }
 	 * @uses  sanitize_key()
@@ -107,5 +107,5 @@
 	 * @since BuddyPress (2.3.0)
 	 *
-	 * @uses  bp_upload_dir()
+	 * @uses bp_upload_dir()
 	 */
 	public function set_upload_dir() {
@@ -140,5 +140,5 @@
 
 	/**
-	 * Set Upload error messages
+	 * Set Upload error messages.
 	 *
 	 * Used into the $overrides argument of BP_Attachment->upload()
@@ -146,5 +146,6 @@
 	 * @since BuddyPress (2.3.0)
 	 *
-	 * @param array $param a list of error messages to add to BuddyPress core ones
+	 * @param array $param A list of error messages to add to BuddyPress core ones.
+	 *
 	 * @return array the list of upload errors
 	 */
@@ -176,5 +177,5 @@
 
 	/**
-	 * Include the WordPress core needed files
+	 * Include the WordPress core needed files.
 	 *
 	 * @since BuddyPress (2.3.0)
@@ -191,11 +192,12 @@
 
 	/**
-	 * Upload the attachment
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @param  array $file               The appropriate entry the from $_FILES superglobal.
-	 * @param  string $upload_dir_filter A specific filter to be applied to 'upload_dir' (optional).
-	 * @param  string $time              Optional. Time formatted in 'yyyy/mm'. Default null.
+	 * Upload the attachment.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @param  array       $file              The appropriate entry the from $_FILES superglobal.
+	 * @param  string      $upload_dir_filter A specific filter to be applied to 'upload_dir' (optional).
+	 * @param  string|null $time              Optional. Time formatted in 'yyyy/mm'. Default null.
+	 *
 	 * @uses   wp_handle_upload()        To upload the file
 	 * @uses   add_filter()              To temporarly overrides WordPress uploads data
@@ -247,7 +249,7 @@
 
 		/**
-		 * If you need to add some overrides we haven't thought of
+		 * If you need to add some overrides we haven't thought of.
 		 *
-		 * @var  array $overrides the wp_handle_upload overrides
+		 * @param array $overrides The wp_handle_upload overrides
 		 */
 		$overrides = apply_filters( 'bp_attachment_upload_overrides', $overrides );
@@ -286,5 +288,5 @@
 
 	/**
-	 * Validate the allowed mime types using WordPress allowed mime types
+	 * Validate the allowed mime types using WordPress allowed mime types.
 	 *
 	 * In case of a multisite, the mime types are already restricted by
@@ -312,5 +314,5 @@
 
 	/**
-	 * Specific upload rules
+	 * Specific upload rules.
 	 *
 	 * Override this function from your child class to build your specific rules
@@ -322,6 +324,7 @@
 	 * @since BuddyPress (2.3.0)
 	 *
-	 * @param  array $file the temporary file attributes (before it has been moved)
-	 * @return array the file
+	 * @param  array $file The temporary file attributes (before it has been moved).
+	 *
+	 * @return array The file.
 	 */
 	public function validate_upload( $file = array() ) {
@@ -340,13 +343,15 @@
 
 	/**
-	 * Default filter to save the attachments
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @uses   apply_filters() call 'bp_attachment_upload_dir' to eventually override the upload location
-	 *                         regarding to context
-	 * @return array the upload directory data
+	 * Default filter to save the attachments.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @uses apply_filters() call 'bp_attachment_upload_dir' to eventually override the upload location
+	 *       regarding to context
+	 *
+	 * @return array The upload directory data.
 	 */
 	public function upload_dir_filter() {
+
 		/**
 		 * Filters the component's upload directory.
@@ -367,12 +372,12 @@
 
 	/**
-	 * Create the custom base directory for the component uploads
-	 *
-	 * Override this function in your child class to run specific actions
+	 * Create the custom base directory for the component uploads.
+	 *
+	 * Override this function in your child class to run specific actions.
 	 * (eg: add an .htaccess file)
 	 *
 	 * @since BuddyPress (2.3.0)
 	 *
-	 * @uses   wp_mkdir_p()
+	 * @uses wp_mkdir_p()
 	 */
 	public function create_dir() {
@@ -396,5 +401,5 @@
 
 	/**
-	 * Crop an image file
+	 * Crop an image file.
 	 *
 	 * @since BuddyPress (2.3.0)
@@ -402,14 +407,15 @@
 	 * @param array $args {
 	 *     @type string $original_file The source file (absolute path) for the Attachment.
-	 *     @type int    $crop_x The start x position to crop from.
-	 *     @type int    $crop_y The start y position to crop from.
-	 *     @type int    $crop_w The width to crop.
-	 *     @type int    $crop_h The height to crop.
-	 *     @type int    $dst_w The destination width.
-	 *     @type int    $dst_h The destination height.
-	 *     @type int    $src_abs Optional. If the source crop points are absolute.
-	 *     @type string $dst_file Optional. The destination file to write to.
+	 *     @type int    $crop_x        The start x position to crop from.
+	 *     @type int    $crop_y        The start y position to crop from.
+	 *     @type int    $crop_w        The width to crop.
+	 *     @type int    $crop_h        The height to crop.
+	 *     @type int    $dst_w         The destination width.
+	 *     @type int    $dst_h         The destination height.
+	 *     @type int    $src_abs       Optional. If the source crop points are absolute.
+	 *     @type string $dst_file      Optional. The destination file to write to.
 	 * }
 	 * @uses wp_crop_image()
+	 *
 	 * @return string|WP_Error New filepath on success, WP_Error on failure.
 	 */
@@ -495,11 +501,11 @@
 
 	/**
-	 * Build script datas for the Uploader UI
-	 *
-	 * Override this method from your child class to build the script datas
-	 *
-	 * @since BuddyPress (2.3.0)
-	 *
-	 * @return array the javascript localization data
+	 * Build script datas for the Uploader UI.
+	 *
+	 * Override this method from your child class to build the script datas.
+	 *
+	 * @since BuddyPress (2.3.0)
+	 *
+	 * @return array The javascript localization data.
 	 */
 	public function script_data() {
